var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { LitElement } from 'lit';
import { property } from 'lit/decorators.js';
const constructionToken = Symbol();
export class ComponentBase extends LitElement {
    constructor() {
        super(...arguments);
        this.styles = {};
        this.make = (styles) => {
            this.var = styles;
        };
        this.fix = () => {
            if (this.fixConfig)
                return this.fixConfig;
            this.fixConfig = {
                exec: this.exec.bind(this),
            };
            for (const configKey in this.config) {
                this.fixConfig[configKey] = (val) => {
                    this.cacheConfig({ [configKey]: val });
                    return this.fixConfig;
                };
            }
            return this.fixConfig;
        };
    }
    willUpdate(changedProperties) {
        // 📌 offsetParent === null mean element is not visible from dom
        if (this.offsetParent === null)
            return;
        if (changedProperties.has('query')) {
            QueryRef.set(this.query, this, constructionToken);
        }
        if (changedProperties.has('set')) {
            this.cacheConfig(this.set);
            this.exec();
        }
        if (changedProperties.has('var')) {
            requestAnimationFrame(() => {
                this.cacheVariables(this.var);
                this.setHostVariables();
            });
        }
        super.willUpdate(changedProperties);
    }
    cacheConfig(set) {
        for (const key in set) {
            this.config[key] = set[key];
        }
    }
    exec() {
        this.set = { ...this.config };
    }
    // 📌icon use this below
    // this.setHostVariables(`--src: ${this.set?.src};`);
    setHostVariables(initialVar) {
        const shadowRootSheet = this.shadowRoot?.styleSheets[0];
        if (!shadowRootSheet)
            return;
        if (shadowRootSheet.cssRules.length !== 0)
            shadowRootSheet.deleteRule(0);
        shadowRootSheet.insertRule(`:host {${this.getCssText()} ${initialVar}}`, 0);
    }
    cacheVariables(vars) {
        for (const key in vars) {
            this.styles[key] = vars[key];
        }
    }
    setVar() {
        this.var = { ...this.styles };
    }
    getCssText() {
        let cssText = ``;
        for (const key in this.styles) {
            cssText = `${cssText}--${key}:var(--${this.styles[key]})!important;`;
        }
        return cssText;
    }
    setCustomEvent(event, data) {
        this.dispatchEvent(new CustomEvent(event, {
            detail: {
                ...data,
            },
            bubbles: true,
        }));
    }
    disconnectedCallback() {
        super.disconnectedCallback();
        if (this.query) {
            QueryRef.delete(this.query, constructionToken);
        }
    }
}
__decorate([
    property({ type: Object }),
    __metadata("design:type", Object)
], ComponentBase.prototype, "var", void 0);
__decorate([
    property({ type: Object }),
    __metadata("design:type", Object)
], ComponentBase.prototype, "set", void 0);
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], ComponentBase.prototype, "query", void 0);
export class QueryRef {
    static get(queryId) {
        return QueryRef.ref.get(queryId);
    }
    static set(queryId, element, safeToken) {
        if (QueryRef.has(queryId)) {
            throw new Error(`Query id "${queryId}" is already in use, please use another query id.`);
        }
        if (safeToken !== constructionToken) {
            throw new Error('QueryRef.set() is not constructable. The QueryRef.set() only use for Cortex-Components');
        }
        QueryRef.ref.set(queryId, element);
    }
    static delete(queryId, safeToken) {
        if (safeToken !== constructionToken) {
            throw new Error('QueryRef.delete() is not constructable. The QueryRef.delete() only use for Cortex-Components');
        }
        QueryRef.ref.delete(queryId);
    }
    static has(queryId) {
        return QueryRef.ref.has(queryId);
    }
}
QueryRef.ref = new Map();
//# sourceMappingURL=component.base.js.map