import { abbrStylesMapper } from '../../styles-mapper/abbr-styles-mapper';
import { ScopedProperty } from '../scoped/ScopedProperty';
import { UIScopedStyles } from '../scoped/UIScoped';
export class VariableAttribute {
    constructor(box, attr, value) {
        this.box = box;
        this.attr = attr;
        this.value = value;
    }
    init() {
        UIScopedStyles.setStylesheet();
        ScopedProperty.scope('prop', this.createStyleText(), this.attr, this.box);
    }
    createStyleText() {
        const valueWithImportant = this.value?.endsWith('!') ? '!important' : '';
        return `{${abbrStylesMapper.get(this.attr)}: var(--${this.value.replace('!', '')})${valueWithImportant};}`;
    }
}
//# sourceMappingURL=VariableAttribute.js.map