import { UIScopedStyles } from './UIScoped';
export class ScopedProperty {
    static scope(type, styleText, attr, box) {
        if (!box.scopedCache) {
            box.scopedCache = {};
        }
        let selectorText;
        if (box.scopedCache[attr]) {
            selectorText = box.scopedCache[attr][0];
        }
        else {
            if (box.scopedCache.size) {
                selectorText = UIScopedStyles.setSelectorText(type, attr, box.scopedCache[attr][1]);
            }
            else {
                selectorText = UIScopedStyles.setSelectorText(type, attr, UIScopedStyles.counter);
                box.setAttribute(`c${UIScopedStyles.counter}`, '');
                UIScopedStyles.counter++;
            }
        }
        if (typeof box.scopedCache?.[attr]?.[1] === 'number') {
            UIScopedStyles.sheet?.deleteRule(box.scopedCache?.[attr]?.[1]);
        }
        if (typeof box.scopedCache?.[attr]?.[1] !== 'number') {
            box.scopedCache[attr] = [selectorText, UIScopedStyles.counter - 1];
        }
        const rule = `${selectorText}${styleText}`;
        UIScopedStyles.sheet?.insertRule(rule, box.scopedCache[attr][1]);
    }
}
//# sourceMappingURL=ScopedProperty.js.map