import { UIScopedStyles } from './UIScoped';
export class ScopedStyle {
    static scope(type, styleText, box, uiName, attr, state) {
        if (styleText) {
            if (!box.scopedCache) {
                box.scopedCache = {};
            }
            let selectorText;
            if (box.scopedCache[uiName]) {
                selectorText = box.scopedCache[uiName][0];
            }
            else {
                if (box.scopedCache.size) {
                    selectorText = UIScopedStyles.setSelectorText(type, attr, box.scopedCache[uiName][1], uiName, state);
                }
                else {
                    selectorText = UIScopedStyles.setSelectorText(type, attr, UIScopedStyles.counter, uiName, state);
                    box.setAttribute(`c${UIScopedStyles.counter}`, '');
                    UIScopedStyles.counter++;
                }
            }
            if (typeof box.scopedCache?.[uiName]?.[1] === 'number') {
                UIScopedStyles.sheet?.deleteRule(box.scopedCache?.[uiName]?.[1]);
            }
            if (typeof box.scopedCache?.[uiName]?.[1] !== 'number') {
                box.scopedCache[uiName] = [selectorText, UIScopedStyles.counter - 1];
            }
            const rule = `${selectorText}{${styleText}}`;
            UIScopedStyles.sheet?.insertRule(rule, box.scopedCache[uiName][1]);
        }
    }
}
//# sourceMappingURL=ScopedStyles.js.map