export declare const padding: readonly ["p", "px", "py", "pt", "pb", "pl", "pr"];
export declare const observer: readonly ["visible"];
export type ObserverType = typeof observer[number];
export declare const margin: readonly ["m", "mx", "my", "mt", "mb", "ml", "mr"];
export declare const widthHeight: readonly ["w", "min-w", "max-w", "h", "min-h", "max-h"];
export declare const position: readonly ["position", "left", "top", "right", "bottom", "z-index"];
export declare const display: readonly ["display", "visibility", "user-select", "whitespace", "cursor", "transition"];
export declare const flex: readonly ["flex-direction", "flex-grow", "flex-shrink", "flex-wrap", "flex-basis", "order"];
export declare const text: readonly ["tx-overflow", "tx-transform", "tx"];
export declare const overflow: readonly ["overflow", "overflow-x", "overflow-y", "overflow-y"];
export declare const border: readonly ["border", "border-left", "border-right", "border-top", "border-bottom", "round", "outline"];
export declare const gap: readonly ["row-gap", "col-gap"];
export declare const color: readonly ["bg", "tx", "shadow", "opacity"];
export declare const utilsAttributes: readonly ["p", "px", "py", "pt", "pb", "pl", "pr", "m", "mx", "my", "mt", "mb", "ml", "mr", "w", "min-w", "max-w", "h", "min-h", "max-h", "bg", "tx", "shadow", "opacity", "row-gap", "col-gap", "position", "left", "top", "right", "bottom", "z-index", "display", "visibility", "user-select", "whitespace", "cursor", "transition", "tx-overflow", "tx-transform", "tx", "border", "border-left", "border-right", "border-top", "border-bottom", "round", "outline", "flex-direction", "flex-grow", "flex-shrink", "flex-wrap", "flex-basis", "order", "overflow", "overflow-x", "overflow-y", "overflow-y", "visible"];
export type UtilsAttributeType = typeof utilsAttributes[number];
export declare const CBoxPopoverAttributes: readonly ["popover-close-button"];
export declare const CBoxIconAttributes: readonly ["icon-prefix", "icon-suffix", "icon-prefix-active", "icon-suffix-active", "icon-prefix-focus", "icon-suffix-focus", "icon-prefix-focus-within", "icon-suffix-focus-within", "icon-prefix-focus-visible", "icon-suffix-focus-visible", "icon-prefix-hover", "icon-suffix-hover", "icon-prefix-target", "icon-suffix-target", "icon-prefix-toggle", "icon-suffix-toggle"];
export declare const uiStylingAttributes: readonly ["ui", "ui-active", "ui-focus", "ui-focus-visible", "ui-focus-within", "ui-hover", "ui-target", "ui-toggle"];
export type CBoxPopoverType = typeof CBoxPopoverAttributes[number];
export type PopoverAbilitiesType = Record<typeof attributeChanged[number], () => void>;
export declare const uiStates: readonly ["active", "focus", "focus-within", "focus-visible", "hover", "target"];
export type UiStateType = typeof uiStates[number];
export declare const attributeChanged: readonly ["popover-close-button", "icon-prefix", "icon-suffix", "icon-prefix-active", "icon-suffix-active", "icon-prefix-focus", "icon-suffix-focus", "icon-prefix-focus-within", "icon-suffix-focus-within", "icon-prefix-focus-visible", "icon-suffix-focus-visible", "icon-prefix-hover", "icon-suffix-hover", "icon-prefix-target", "icon-suffix-target", "icon-prefix-toggle", "icon-suffix-toggle", "p", "px", "py", "pt", "pb", "pl", "pr", "m", "mx", "my", "mt", "mb", "ml", "mr", "w", "min-w", "max-w", "h", "min-h", "max-h", "bg", "tx", "shadow", "opacity", "row-gap", "col-gap", "position", "left", "top", "right", "bottom", "z-index", "display", "visibility", "user-select", "whitespace", "cursor", "transition", "tx-overflow", "tx-transform", "tx", "border", "border-left", "border-right", "border-top", "border-bottom", "round", "outline", "flex-direction", "flex-grow", "flex-shrink", "flex-wrap", "flex-basis", "order", "overflow", "overflow-x", "overflow-y", "overflow-y", "visible", "ui", "ui-active", "ui-focus", "ui-focus-visible", "ui-focus-within", "ui-hover", "ui-target", "ui-toggle"];
export type AttributeChangedType = typeof attributeChanged[number];
export type OnToggleStatus = Record<'setToggleStatus', (status: ToggleStatus) => void>;
export type ToggleStatus = 'default' | 'toggled';
export type ToggleAttrStatus = Record<'bg-toggle' | 'tx-toggle', ToggleStatus>;
export type CBoxWithToggle = CBox.Ref & ToggleAttrStatus & OnToggleStatus;
export type CBoxUiAttribute = CBox.Ref & {
    scopedCache?: Record<string, [string, number]>;
    uiToggled?: boolean;
    iconToggled?: boolean;
    uiCache?: {
        [value: string]: unknown;
    };
    uiName?: string;
    variableCache?: Map<string, number>;
    valueCache?: Map<string, unknown>;
};
