import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import '../button/button';
import './single-calendar/single-calendar';
import { CalendarResult } from '../../helpers/functions/date/date-methods';
import { RangeValueType, DateValueType, CalendarDisplay } from './types/calendar.types';
import { CxCalendarName } from './types/calendar.name';
import './month-calendar/month-calendar';
import './year-calendar/year-calendar';
import { MonthCalendar } from './month-calendar/month-calendar';
import { YearCalendar } from './year-calendar/year-calendar';
export declare class Calendar extends ComponentBase<CXCalendar.Props> {
    config: CXCalendar.Set;
    private calendarDisplayMethods?;
    currentTranslateValue: 0 | -304 | -608;
    calendarGroup: CalendarResult[];
    static styles: import("lit").CSSResult;
    private buttonLeftSet;
    private buttonVar;
    private buttonRightSet;
    dateNavigator?: Date;
    calendarMonitorRef: import("lit-html/directives/ref").Ref<HTMLDivElement>;
    displayState: CalendarDisplay;
    monthDisplayRef: import("lit-html/directives/ref").Ref<MonthCalendar>;
    yearDisplayRef: import("lit-html/directives/ref").Ref<YearCalendar>;
    render(): TemplateResult;
    renderCalendar(): TemplateResult<1> | undefined;
    goToMonthCalendar(date: Date): void;
    setDisplayState(display: CalendarDisplay): void;
    firstUpdated(): void;
    private updateSelectedDates;
    private observeCalendarMonitor;
    private setDisplayCalendar;
    selectDate: (e: Event) => void;
    connectedCallback(): void;
    willUpdate(changedProps: any): void;
    private goPrev;
    private goNext;
}
declare global {
    namespace CXCalendar {
        type Ref = Calendar;
        type Var = unknown;
        type Set = {
            date: Date;
            display?: '1-calendar' | '2-calendars';
            min?: Date;
            max?: Date;
            multiSelect?: boolean;
            initValue?: boolean;
            dateRange?: boolean;
            dateValue?: DateValueType;
            rangeValue?: RangeValueType;
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
            make: Var;
        };
        namespace Value {
            type Date = DateValueType;
            type Range = DateValueType;
        }
        namespace SelectDate {
            type Date = CustomEvent<DateValueType>;
            type Range = CustomEvent<RangeValueType>;
        }
    }
    interface HTMLElementTagNameMap {
        [CxCalendarName]: CXCalendar.Ref;
    }
}
