import { TemplateResult } from 'lit';
import { ComponentBase } from '../../../base/component-base/component.base';
import { CalendarResult } from '../../../helpers/functions/date/date-methods';
import { CalendarBaseMethod } from './calendar-states/calendar-base';
import { CalendarDateRangeSelectState } from './calendar-states/daterange-select';
import { CalendarSingleSelectState } from './calendar-states/single-select';
export declare const tagName = "cx-single-calendar";
export declare class SingleCalendar extends ComponentBase<CXSingleCalendar.Props> {
    config: CXSingleCalendar.Set;
    static styles: import("lit").CSSResult;
    day: number[];
    dateSelectedDOM?: HTMLElement;
    startDateSelectedDOM?: HTMLElement;
    endDateSelectedDOM?: HTMLElement;
    dateRangeSelectState: CalendarDateRangeSelectState;
    singleSelectState: CalendarSingleSelectState;
    calendarMethod: CalendarBaseMethod;
    connectedCallback(): void;
    render(): TemplateResult;
    setCalendarDisplay(): void;
    updated(changedProps: Map<string, unknown>): void;
    updateSelected(): void;
}
declare global {
    namespace CXSingleCalendar {
        type Ref = SingleCalendar;
        type Var = unknown;
        type Set = {
            calendar?: CalendarResult;
            selected?: Date;
            daterange?: boolean;
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
            make: Var;
        };
    }
    interface HTMLElementTagNameMap {
        [tagName]: CXSingleCalendar.Ref;
    }
}
