import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import '../c-box/c-box';
import '../popover/popover';
import '../calendar/calendar';
import { RangeValueType, DateValueType } from '../calendar/types/calendar.types';
import { CxDatepickerName } from './types/datepicker.name';
import { SizeNumber } from '../../types/sizes.type';
export declare class DatePicker extends ComponentBase<CXDatePicker.Props> {
    config: CXDatePicker.Set;
    styles: CXDatePicker.Var;
    private inputBoxWrapperRef;
    private cxCalendarRef;
    private popoverContentRef;
    private endDateCache?;
    connectedCallback(): void;
    datepickerState: 'opened' | 'closed';
    render(): TemplateResult;
    private setInputStyle;
    createRenderRoot(): this;
    private renderInputBox;
    private checkDisabledDate;
    private toggleFixBasedOnCondition;
    private getSelectedDateRangeText;
    private renderDateInput;
    private popoverClosed;
    private popoverOpened;
    resetEndDateSelected(): void;
    private selectDate;
    private setSelectDateRangeFocus;
    private setClosePopover;
    private getInputBoxForDateRange;
    private getInputBoxForSingleDate;
    private setFocusOnInputBox;
    private setDefaultOnInputBox;
}
declare global {
    namespace CXDatePicker {
        type Ref = DatePicker;
        type Var = {
            widthInput?: SizeNumber;
            heightInput?: SizeNumber;
        };
        type Set = CXCalendar.Set & {
            inputStyle?: 'short' | 'long';
            valueStyle?: Intl.DateTimeFormatOptions;
            focusout?: 'close' | 'none';
            mouseleave?: 'close' | 'none';
            disabled?: boolean;
            error?: boolean;
            rangeError?: {
                startDate?: boolean;
                endDate?: boolean;
            };
            rangeDisabled?: {
                startDate?: boolean;
                endDate?: boolean;
            };
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Var;
            set: Set;
            fix: Fix;
            make: Var;
        };
        namespace Value {
            type Date = DateValueType;
            type Range = DateValueType;
        }
        namespace SelectDate {
            type Date = CustomEvent<DateValueType>;
            type Range = CustomEvent<RangeValueType>;
        }
    }
    interface HTMLElementTagNameMap {
        [CxDatepickerName]: CXDatePicker.Ref;
    }
}
