import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import '../transition/transition';
import { TransitionDefaultFadeTypes, WhenTypes } from '../transition/types/transition.types';
import { CxDialogName } from './types/dialog.name';
import { CxDialogOnClosed } from './types/dialog.types';
export declare class Dialog extends ComponentBase<CXDialog.Props> {
    config: CXDialog.Set;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    private dialogRef;
    private transitionRef;
    render(): TemplateResult | undefined;
    executeTransition(when: WhenTypes): void;
    open(): void;
    setSlotName(globalSlotName?: 'global-dialog'): void;
    private openLocalDialog;
    close(): void;
    onClosed(): void;
}
declare global {
    namespace CXDialog {
        type Ref = Dialog;
        type Var = unknown;
        type Set = {
            disabledBackdrop: boolean;
            transition?: TransitionDefaultFadeTypes;
        };
        type Fix = {
            [K in keyof Set]: (value: Set[K]) => Fix;
        } & {
            exec: () => Ref;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
        type Details = {
            [CxDialogOnClosed]: {
                event: string;
            };
        };
        type Events = {
            [CxDialogOnClosed]: (detail: OnClosed) => void;
        };
        type OnClosed = CustomEvent<Details[typeof CxDialogOnClosed]>;
    }
    namespace JSX {
        interface IntrinsicElements {
            [CxDialogName]: CXDialog.Ref;
        }
    }
    interface HTMLElementTagNameMap {
        [CxDialogName]: CXDialog.Ref;
    }
}
