import { TemplateResult } from 'lit';
import { ComponentBase } from '../../../../base/component-base/component.base';
import '../../../button/button';
import '../../../theme/theme';
import { SizeTypes } from '../../../../types/sizes.type';
import { ColorTypes } from '../../../../types/colors.type';
export declare const tagName = "cx-decide-dialog";
export declare class DecideDialog extends ComponentBase<CXDecideDialog.Props> {
    config: CXDecideDialog.Set;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    render(): TemplateResult;
}
declare global {
    namespace CXDecideDialog {
        type Ref = DecideDialog;
        type Var = {
            titleSize?: SizeTypes;
            titleColor?: ColorTypes;
            descriptionSize: SizeTypes;
            descriptionColor: ColorTypes;
        };
        type Set = {
            title: string;
            description: string;
            actionLeft: {
                text: string;
                action: () => void;
                buttonSet?: CXButton.Set;
            };
            actionRight: {
                text: string;
                action: () => void;
                buttonSet?: CXButton.Set;
            };
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
            make: Var;
        };
    }
    interface HTMLElementTagNameMap {
        [tagName]: CXDecideDialog.Ref;
    }
}
