var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { ComponentBase } from '../../../../base/component-base/component.base';
import '../../../button/button';
import '../../../theme/theme';
export const tagName = 'cx-decide-dialog';
// export const onPressed = 'pressed';
let DecideDialog = class DecideDialog extends ComponentBase {
    constructor() {
        super(...arguments);
        this.config = {
            title: 'Decide Dialog',
            description: 'Decide dialog was created',
            actionLeft: {
                text: 'back',
                action: () => { },
            },
            actionRight: {
                text: 'ok',
                action: () => { },
            },
        };
        // Method
        // public log(config: { text: string }): void {
        //   console.log('log: ', config.text);
        // }
        // Event
        // private pressed(): void {
        //   this.setCustomEvent<CXDecideDialog.Details[typeof onPressed]>(onPressed, {
        //     event: onPressed,
        //   });
        // }
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.set)
            this.cacheConfig(this.set);
        if (this.config)
            this.exec();
    }
    render() {
        return html `<div class="decide-dialog">
      <div class="title">${this.set.title}</div>
      <div class="description">${this.set.description}</div>
      <div class="action">
        <cx-button @click="${this.set.actionLeft.action}" .set="${this.set.actionLeft.buttonSet}"
          >${this.set.actionLeft.text}</cx-button
        >
        <cx-button @click="${this.set.actionRight.action}" .set="${this.set.actionRight.buttonSet}"
          >${this.set.actionRight.text}</cx-button
        >
      </div>
    </div>`;
    }
};
DecideDialog.styles = css `
    :host {
      --titleSize: var(--size-20);
      --titleColor: var(--primary-800);
      --descriptionSize: var(--size-16);
      --descriptionColor: var(--gray-600);
    }
    .decide-dialog {
      display: flex;
      flex-direction: column;
      align-items: center;
      row-gap: var(--size-12);
    }
    .title {
      font-size: var(--titleSize);
      color: var(--titleColor);
    }

    .description {
      font-size: var(--descriptionSize);
      color: var(--descriptionColor);
    }

    .action {
      display: flex;
      width: 100%;
      justify-content: center;
      align-items: center;
      column-gap: var(--size-12);
    }
  `;
DecideDialog = __decorate([
    customElement(tagName)
], DecideDialog);
export { DecideDialog };
//# sourceMappingURL=decide-dialog.js.map