import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { CxIconName } from './types/icon.name';
import { IconSizeTypes, IconSrcTypes } from './types/icon.types';
export declare class Icon extends ComponentBase<CXIcon.Props> {
    config: CXIcon.Props['set'];
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    render(): TemplateResult;
    updated(changedProperties: Map<PropertyKey, unknown>): void;
}
declare global {
    namespace CXIcon {
        type Ref = Icon;
        type Var = unknown;
        type Set = {
            src: IconSrcTypes;
            color?: 'primary' | 'error' | 'white';
            size?: IconSizeTypes;
        };
        type Fix = {
            [K in keyof Set]: (value: Set[K]) => Fix;
        } & {
            exec: () => Ref;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
    }
    interface HTMLElementTagNameMap {
        [CxIconName]: CXIcon.Ref;
    }
}
