var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { ComponentBase } from '../../base/component-base/component.base';
import { IconDirector } from './builder/icon.builder';
import { CxIconName } from './types/icon.name';
// export const onPressed = 'pressed';
let Icon = class Icon extends ComponentBase {
    constructor() {
        super(...arguments);
        this.config = {
            src: 'favorite-line',
            color: 'primary',
            size: 'medium',
        };
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.set)
            this.cacheConfig(this.set);
        if (this.config)
            this.exec();
    }
    render() {
        return html `<style></style> &#xe800;`;
    }
    updated(changedProperties) {
        if (changedProperties.has('set')) {
            this.cacheVariables(IconDirector.construct(this.set));
            this.setHostVariables(`--src: ${this.set?.src};`);
        }
        super.update(changedProperties);
    }
};
Icon.styles = css `
    :host {
      --color: var(--primary-500);

      font-family: var(--src);
      font-size: var(--size);
      color: var(--color);
      display: inline-block;
    }
  `;
Icon = __decorate([
    customElement(CxIconName)
], Icon);
export { Icon };
//# sourceMappingURL=icon.js.map