import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { PopoverPositionType } from './types/popover.types';
import { CxPopoverName } from './types/popover.name';
export declare class Popover extends ComponentBase<CXPopover.Props> {
    config: CXPopover.Set;
    static styles: import("lit").CSSResult;
    private hostSlotRef;
    private popoverSlotRef;
    private hostElement?;
    render(): TemplateResult;
    connectedCallback(): Promise<void>;
    private setHostElement;
    private setHostEvent;
    private setOpenPopover;
    private getPopoverContentElement;
    private getPopoverContent;
}
declare global {
    namespace CXPopover {
        type Ref = Popover;
        type Var = unknown;
        type Set = {
            openby?: 'click' | 'mouseover';
            position?: PopoverPositionType;
            mouseleave?: 'none' | 'close';
            focusout: 'none' | 'close';
            arrowpoint?: boolean;
            transform?: 'center' | 'origin';
            disabled?: boolean;
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
        type Details = {
            ['opened']: {
                event: Event;
                state: 'closed';
            };
            ['closed']: {
                event: Event;
                state: 'closed';
            };
        };
        type Events = {
            ['opened']: (detail: OnOpened) => void;
            ['closed']: (detail: OnClosed) => void;
        };
        type OnOpened = CustomEvent<Details['opened']>;
        type OnClosed = CustomEvent<Details['closed']>;
    }
    interface HTMLElementTagNameMap {
        [CxPopoverName]: CXPopover.Ref;
    }
}
