import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { CxProgressName } from './types/progress.name';
import { ColorKeyTypes, SizeKeyTypes } from './types/progress.types';
export declare class Progress extends ComponentBase<CXProgress.Props> {
    config: CXProgress.Set;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    render(): TemplateResult;
    updated(changedProperties: Map<PropertyKey, unknown>): void;
}
declare global {
    namespace CXProgress {
        type Ref = Progress;
        type Var = unknown;
        type Set = {
            size: SizeKeyTypes;
            color: ColorKeyTypes;
        };
        type Fix = {
            [K in keyof Set]: (value: Set[K]) => Fix;
        } & {
            exec: () => Ref;
        };
        type Props = {
            var: Partial<Pick<Var, never>>;
            set: Partial<Set>;
            fix: Partial<Fix>;
        };
    }
    interface HTMLElementTagNameMap {
        [CxProgressName]: CXProgress.Ref;
    }
}
