var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { ComponentBase } from '../../base/component-base/component.base';
import { ProgressDirector } from './builder/progress.builder';
import { CxProgressName } from './types/progress.name';
let Progress = class Progress extends ComponentBase {
    constructor() {
        super(...arguments);
        this.config = {
            color: 'primary',
            size: 'medium',
        };
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.set)
            this.cacheConfig(this.set);
        if (this.config)
            this.exec();
    }
    render() {
        return html `
      <style></style>
      <div class="progress">
        <div></div>
        <div></div>
        <div></div>
        <div></div>
        <div></div>
        <div></div>
      </div>
    `;
    }
    updated(changedProperties) {
        if (changedProperties.has('set')) {
            const spinnerBuilder = ProgressDirector.construct(this.set);
            const spinnerVars = { color: spinnerBuilder.color, ...spinnerBuilder.size };
            this.cacheVariables(spinnerVars);
            this.setHostVariables();
        }
        super.update(changedProperties);
    }
};
Progress.styles = css `
    :host {
      display: inline-flex;
      overflow: hidden;
    }
    .progress {
      display: inline-block;
      position: relative;
      width: var(--width);
      height: var(--height);
      box-sizing: border-box;
      transform: scale(var(--scale))
        translate(var(--translate), var(--translate));
    }
    .progress div {
      animation: progress 1.2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
      transform-origin: 40px 40px;
    }
    .progress div:after {
      content: ' ';
      display: block;
      position: absolute;
      width: var(--base-size-8);
      height: var(--base-size-8);
      border-radius: 50%;
      background: var(--color);
      margin: -4px 0 0 -4px;
    }
    .progress div:nth-child(1) {
      animation-delay: -0.026s;
    }
    .progress div:nth-child(1):after {
      top: 63px;
      left: 63px;
    }
    .progress div:nth-child(2) {
      animation-delay: -0.082s;
    }
    .progress div:nth-child(2):after {
      top: 68px;
      left: 56px;
    }
    .progress div:nth-child(3) {
      animation-delay: -0.138s;
    }
    .progress div:nth-child(3):after {
      top: 71px;
      left: 48px;
    }
    .progress div:nth-child(4) {
      animation-delay: -0.194s;
    }
    .progress div:nth-child(4):after {
      top: 72px;
      left: 40px;
    }
    .progress div:nth-child(5) {
      animation-delay: -0.25s;
    }
    .progress div:nth-child(5):after {
      top: 71px;
      left: 32px;
    }
    .progress div:nth-child(6) {
      animation-delay: -0.326s;
    }
    .progress div:nth-child(6):after {
      top: 68px;
      left: 24px;
    }

    @keyframes progress {
      0% {
        transform: rotate(146deg);
      }
      100% {
        transform: rotate(506deg);
      }
    }
  `;
Progress = __decorate([
    customElement(CxProgressName)
], Progress);
export { Progress };
//# sourceMappingURL=progress.js.map