export declare class ProgressAttributes {
    size: SizeTypes;
    color: ColorValueTypes;
}
export declare const SizeMap: {
    readonly small: {
        readonly width: "size-80";
        readonly height: "size-80";
        readonly scale: "number-1";
        readonly translate: "base-size-0";
    };
    readonly medium: {
        readonly width: "size-110";
        readonly height: "size-110";
        readonly scale: "number-1-4";
        readonly translate: "base-size-16";
    };
    readonly large: {
        readonly width: "size-138";
        readonly height: "size-138";
        readonly scale: "number-1-8";
        readonly translate: "base-size-30";
    };
};
export type SizeTypes = typeof SizeMap['small'] | typeof SizeMap['medium'] | typeof SizeMap['large'];
export declare const ColorMap: {
    readonly primary: "primary-500";
    readonly white: "white";
    readonly error: "error-500";
    readonly gray: "gray-500";
};
export declare const ColorKey: ("error" | "primary" | "white" | "gray")[];
export declare const SizeKey: ("small" | "medium" | "large")[];
export declare const colorValueKey: ("white" | "gray-500" | "primary-500" | "error-500")[];
export type ColorValueTypes = typeof colorValueKey[number];
export type ColorKeyTypes = typeof ColorKey[number];
export type SizeKeyTypes = typeof SizeKey[number];
export interface ProgressBuilderTypes {
    setSize(size: SizeKeyTypes): this;
    setColor(color: ColorKeyTypes): this;
    build(): ProgressAttributes;
}
