var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { ComponentBase } from '../../base/component-base/component.base';
import { SpinnerDirector } from './builder/spinner.builder';
import { CxSpinnerName } from './types/spinner.name';
// export const onPressed = 'pressed';
let Spinner = class Spinner extends ComponentBase {
    constructor() {
        super(...arguments);
        this.config = {
            color: 'primary',
            size: 'medium',
        };
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.set)
            this.cacheConfig(this.set);
        if (this.config)
            this.exec();
    }
    render() {
        return html `
      <style></style>

      <div class="spinner">
        <div></div>
        <div></div>
        <div></div>
        <div></div>
      </div>
    `;
    }
    updated(changedProperties) {
        if (changedProperties.has('set')) {
            const spinnerBuilder = SpinnerDirector.construct(this.set);
            const spinnerVars = { color: spinnerBuilder.color, ...spinnerBuilder.size };
            this.cacheVariables(spinnerVars);
            this.setHostVariables();
        }
        super.update(changedProperties);
    }
};
Spinner.styles = css `
    :host {
      display: inline-block;
    }
    .spinner {
      display: flex;
      position: relative;
      width: var(--width);
      height: var(--height);
    }
    .spinner div {
      box-sizing: border-box;
      display: block;
      position: absolute;
      width: var(--width);
      height: var(--height);
      border-width: var(--borderWidth);
      border-style: solid;
      border-radius: 50%;
      animation: spinner 0.97s cubic-bezier(0.5, 0, 0.5, 1) infinite;
      border-color: var(--color) transparent transparent transparent;
    }
    .spinner div:nth-child(1) {
      animation-delay: -0.4s;
    }
    .spinner div:nth-child(2) {
      animation-delay: -0.3s;
    }
    .spinner div:nth-child(3) {
      animation-delay: -0.2s;
    }
    .spinner div:nth-child(4) {
      animation-delay: -0.1s;
    }

    @keyframes spinner {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
  `;
Spinner = __decorate([
    customElement(CxSpinnerName)
], Spinner);
export { Spinner };
//# sourceMappingURL=spinner.js.map