var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { customElement } from 'lit/decorators.js';
import { html } from 'lit/static-html.js';
import { ComponentBase } from '../../base/component-base/component.base';
import { colors } from './constants/color.base.theme';
import { dark } from './constants/color.dark.theme';
import { light } from './constants/color.light.theme';
import { fontWeights } from './constants/font-weight.theme';
import { sizes } from './constants/size.theme';
import { ThemeSingleton } from './singleton/theme.singleton';
import { CxThemeName } from './types/theme.name';
let Theme = class Theme extends ComponentBase {
    constructor() {
        super(...arguments);
        this.config = {
            color: 'light',
            size: 'small',
        };
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.set)
            this.cacheConfig(this.set);
        if (this.config)
            this.exec();
        super.connectedCallback();
        this.createSharedCxThemeRef();
    }
    render() {
        return html `<slot> </slot> `;
    }
    createSharedCxThemeRef() {
        ThemeSingleton.ref = this;
    }
    willUpdate(changedProperties) {
        this.setThemeProps(changedProperties);
        super.willUpdate(changedProperties);
    }
    updated(changedProperties) {
        this.setTheme(this.config.color, this.config.size);
        this.update(changedProperties);
    }
    setThemeProps(changedProperties) {
        if (changedProperties.has('set')) {
            this.setTheme(this.set?.color || this.config.color, this.set?.size || this.config.size);
        }
    }
    setTheme(color, size) {
        this.className = `${color || this.config.color} ${size || this.config.size}`;
    }
};
Theme.styles = [colors, light, dark, fontWeights, sizes];
Theme = __decorate([
    customElement(CxThemeName)
], Theme);
export { Theme };
//# sourceMappingURL=theme.js.map