const fadeValues = {
    start: {
        ['fade']: {
            initial: '0',
            completed: '1',
        },
    },
    end: {
        ['fade']: {
            initial: '1',
            completed: '0',
        },
    },
};
export class Fade {
    constructor(detail) {
        this.when = detail.when;
        this.fade = detail.fade;
    }
    getCssText() {
        if (!this.fade)
            return '';
        const { completed, initial } = fadeValues[this.when].fade;
        return `
      :host {
        --duration: 0;
        --delay: 0;
        --timing: initial;
      }
      .transition {
        opacity: ${initial};
      }
      .fade {
        opacity: ${completed};
      }
    `;
    }
}
//# sourceMappingURL=fade.js.map