const scaleValues = {
    start: {
        ['scale-up']: {
            initial: '0.7',
            completed: '1',
        },
        ['scale-down']: {
            initial: '1.3',
            completed: '1',
        },
    },
    end: {
        ['scale-up']: {
            initial: '1',
            completed: '1.3',
        },
        ['scale-down']: {
            initial: '1',
            completed: '0.7',
        },
    },
};
export class Scale {
    constructor(detail) {
        this.detail = detail;
    }
    getCssText() {
        const { completed, initial } = scaleValues[this.detail.when][this.detail.transition.name];
        return `
      :host {
        --scale: ${completed};
        
      }
      .transition {
        scale:${initial};
      }
      .${this.detail.transition.name} {
        scale: var(--scale) !important;
      }
    `;
    }
}
//# sourceMappingURL=scale.js.map