export interface TransitionBuilderTypes {
    setTransition(size: TransitionAttributes): this;
    minimize(): string;
}
export declare class StylesBasedTime {
    start?: string;
    end?: string;
}
export type TransitionStyles = {
    getCssText(): string;
};
export declare const transitions: readonly ["scale-up", "scale-down", "top-down", "bottom-up", "fade-in", "fade-out"];
export type TransitionKeys = typeof transitions[number];
export declare const transitionTiming: readonly ["ease", "ease-in", "ease-out", "ease-in-out", "linear"];
export type TransitionTimingKeys = typeof transitionTiming[number];
export type TransitionTypes = {
    start: TransitionKeys;
    end: TransitionKeys;
};
export declare const fillMOde: readonly ["forwards"];
export type FillMode = typeof fillMOde[number];
export type TransitionAttributes = {
    name: TransitionKeys;
    duration: string;
    delay: string;
    timing: TransitionTimingKeys;
    fillMode?: FillMode;
};
export type TransitionDetail = {
    transition: TransitionAttributes;
    fade: boolean;
    when: WhenTypes;
};
export declare const whenTypes: readonly ["start", "end"];
export type WhenTypes = typeof whenTypes[number];
export type TransitionOptionalFadeTypes = Required<Pick<CXTransition.Set, 'start' | 'end'>> & Partial<Pick<CXTransition.Set, 'fade'>>;
export type TransitionDefaultFadeTypes = Pick<CXTransition.Set, 'start' | 'end'>;
