export type CalendarResult = {
    year: number;
    month: number;
    calendar: CalendarValue[][];
    firstDateOfMonth: Date;
    lastDateOfMonth: Date;
};
export type CalendarValue = {
    value: number;
    type: calendarType;
    period: string;
    dateArray: number[];
    minmax?: MinMaxType;
    date?: Date;
};
export type MinMaxType = 'min' | 'max' | undefined;
export type calendarType = 'current-month' | 'previous-month' | 'next-month';
export declare function dateFormat(date: Date | number | undefined, options?: Intl.DateTimeFormatOptions): string | undefined;
export declare function getDayOfWeek(dayNumber: number, options: Intl.DateTimeFormatOptions): string;
export declare function getPreviousMonth(date: Date): Date;
export declare function getNextMonth(date: Date): Date;
export declare function convertDateStringToDate(dateString: string | null | undefined): Date | undefined;
export declare function convertToDate(year: DateParameter, month: DateParameter, date?: DateParameter): Date;
export type DateParameter = string | number;
export declare function convertDateToArrayNumber(date: Date): number[] | undefined;
export declare const dateShortOption: Intl.DateTimeFormatOptions;
export declare const longMonthOption: Intl.DateTimeFormatOptions;
export declare const shortDayOption: Intl.DateTimeFormatOptions;
export declare const yearDayOption: Intl.DateTimeFormatOptions;
export declare const getCalendarDetail: ({ date, today, min, max, }: {
    date: Date;
    today?: Date | undefined;
    min?: Date | undefined;
    max?: Date | undefined;
}) => CalendarResult;
export declare const isValid: (date: Date) => boolean;
export declare const isAfter: (date: {
    starter: Date;
    comparator: Date;
}) => boolean;
export declare const isBefore: (date: {
    starter: Date;
    comparator: Date;
}) => boolean;
export declare function getDateBetweenArrayDate(date1: string | Date, date2: string | Date): Date[];
export declare function getDateBetweenArrayNumber(date1: Date, date2: Date): (number[] | undefined)[];
export declare function getDateBetweenObject(date1: Date, date2: Date): {
    [x: string]: number;
}[];
export declare function getDateBetweenObjectArray(date1: Date, date2: Date): any;
export declare function isDateBetween(startDate: Date, endDate: Date, checkDate: Date): boolean;
export declare const generateYearGroup: (date: Date, yearCount: number) => number[];
