export function mutableElementManyTypes(watch) {
    const config = {};
    for (const changed in watch) {
        config[changed] = true;
    }
    const observer = new MutationObserver((mutations) => {
        for (const mutation of mutations) {
            if (config[mutation.type] && watch[mutation.type])
                watch[mutation.type]?.(mutation, observer);
        }
    });
    observer.observe(watch.target, config);
}
export function mutableElement(target, mutationType, callback, options) {
    const observer = new MutationObserver((mutations) => {
        for (const mutation of mutations) {
            if (mutation.type === mutationType) {
                callback(mutation, observer);
            }
        }
    });
    const config = { [mutationType]: true, ...options };
    observer.observe(target, config);
}
//# sourceMappingURL=mutable-element.js.map